Support » Plugin: Easy Social Icons » HTML 5 validation – border attribute obsolete

  • Hi,
    When trying to validate HTML 5, I am getting a warning: The border attribute is obsolete.

    It is coded into easy-social-icons\easy-social-icons.php

    Line 442:   <table width="100%" border="0">
    Line 709:   <table width="100%" border="0" cellspacing="0" cellpadding="0">
    Line 782:   $icon_output_html = '<img src="'.cnss_get_img_url($url).'" border="0" width="'.$width.'" height="'.$height.'" alt="'.$title.'" title="'.$title.'" style="'.$imgStyle.'" />';
    Line 958:   <img id="logoimg" style="vertical-align:top" src="<?php echo cnss_is_image_icon($image_url)?$image_url:$blank_img; ?>" border="0" width="<?php //echo $cnss_width; ?>"  height="<?php //echo $cnss_height; ?>" alt="<?php echo $title; ?>" />
    Line 1165:  echo '<table class="cnss-social-icon" style="width:'.$table_width.'px" border="0" cellspacing="0" cellpadding="0">';
    Line 1372:  <table width="100%" border="0">
    Line 1382:  <table width="100%" border="0">
    Line 1407:  <table style="margin-bottom:15px;" width="100%" border="0">

    Can you update the code so that it can be validated?

    Also please update the deprecated PHP code that I asked about and posted a fix for more than 5 months ago.

  • The topic ‘HTML 5 validation – border attribute obsolete’ is closed to new replies.